{
 "cells": [
  {
   "cell_type": "markdown",
   "id": "386445d7",
   "metadata": {},
   "source": [
    "# Тест по блоку #"
   ]
  },
  {
   "cell_type": "markdown",
   "id": "75a76c51",
   "metadata": {},
   "source": [
    "##### Вас зовут:\n",
    "___"
   ]
  },
  {
   "cell_type": "markdown",
   "id": "67365d05",
   "metadata": {},
   "source": [
    "##### 1. Совместимы ли Python 2 и Python 3?\n",
    "\n",
    "- [ ] Несовместимы\n",
    "- [ ] Совместимы полностью"
   ]
  },
  {
   "cell_type": "markdown",
   "id": "e9415f9e",
   "metadata": {},
   "source": [
    "##### 2. На каком языке программирования написана основная реализация спецификации Python?\n",
    "\n",
    "- [ ] Python\n",
    "- [ ] C\n",
    "- [ ] Java"
   ]
  },
  {
   "cell_type": "markdown",
   "id": "02e8631d",
   "metadata": {},
   "source": [
    "##### 3. Какое расширение обычно дают файлам с кодом на Python?\n",
    "\n",
    "- [ ] .python\n",
    "- [ ] .pyc\n",
    "- [ ] .py"
   ]
  },
  {
   "cell_type": "markdown",
   "id": "c62d7c53",
   "metadata": {},
   "source": [
    "##### 4. Как пишутся комментарии в Python?\n",
    "\n",
    "- [ ] `/* это комментарий */`\n",
    "- [ ] `# это комментарий`\n",
    "- [ ] `// это комментарий`"
   ]
  },
  {
   "cell_type": "markdown",
   "id": "ba1df828",
   "metadata": {},
   "source": [
    "##### 5. Какие имена переменных правильные?\n",
    "\n",
    "- [ ] name\n",
    "- [ ] _name\n",
    "- [ ] !name\n",
    "- [ ] 1name"
   ]
  },
  {
   "cell_type": "markdown",
   "id": "0720dc5e",
   "metadata": {},
   "source": [
    "##### 6. `bool(0.000001)` - `True` или `False`?\n",
    "\n",
    "- [ ] False\n",
    "- [ ] True"
   ]
  },
  {
   "cell_type": "markdown",
   "id": "0db8f448",
   "metadata": {},
   "source": [
    "##### 7. Что получится в результате выполнения среза `[0:1]` для строки \"привет\"?\n",
    "\n",
    "- [ ] \"п\"\n",
    "- [ ] \"пр\"\n",
    "- [ ] \"\""
   ]
  },
  {
   "cell_type": "markdown",
   "id": "e3137721",
   "metadata": {},
   "source": [
    "##### 8. Какая функция позволяет считать ввод пользователя из терминала?\n",
    "\n",
    "- [ ] input()\n",
    "- [ ] readline()\n",
    "- [ ] enter()\n",
    "- [ ] read()"
   ]
  },
  {
   "cell_type": "markdown",
   "id": "b42cb89d",
   "metadata": {},
   "source": [
    "##### 9. Какой метод превратит байтовую строку в строку?\n",
    "\n",
    "- [ ] .decode()\n",
    "- [ ] .encode()"
   ]
  },
  {
   "cell_type": "markdown",
   "id": "0085afce",
   "metadata": {},
   "source": [
    "##### 10. Чему будет равен `pi_fmt`?\n",
    "\n",
    "```python\n",
    "pi = 3.1415926\n",
    "pi_fmt = f\"{pi:#0.2f}\"\n",
    "```\n",
    "\n",
    "- [ ] Строке \"3.14\"\n",
    "- [ ] Числу 3.14"
   ]
  },
  {
   "cell_type": "markdown",
   "id": "7ecf728d",
   "metadata": {},
   "source": [
    "##### 11. Предположим, есть пакет **foo**, в котором находится модуль **bar.py**, внутри **bar.py** определена функция с именем **run**. Какая конструкция импорта является правильной?\n",
    "\n",
    "- [ ] `import run from foo.bar`\n",
    "- [ ] `from foo.bar import run`\n",
    "- [ ] `import foo.bar.run`"
   ]
  },
  {
   "cell_type": "markdown",
   "id": "e7cd2fd1",
   "metadata": {},
   "source": [
    "##### 12. Предположим, есть код\n",
    "\n",
    "```python\n",
    "import this\n",
    "import this\n",
    "```\n",
    "\n",
    "Сколько раз напечатаются идиомы Python?\n",
    "\n",
    "- [ ] Дважды\n",
    "- [ ] Только единожды"
   ]
  },
  {
   "cell_type": "markdown",
   "id": "4ce5fcfb",
   "metadata": {},
   "source": [
    "##### 13. Зачем нужен virtualenv (виртуальное окружение)?\n",
    "\n",
    "- [ ] Возможность увеличить скорость запуска скомпилированных в байткод Python-программ\n",
    "- [ ] Возможность запускать несколько интерпретаторов Python одновременно\n",
    "- [ ] Изоляция зависимостей"
   ]
  },
  {
   "cell_type": "markdown",
   "id": "6d0683f2",
   "metadata": {},
   "source": [
    "##### 14. Какая утилита позволяет ставить внешние Python пакеты в систему?\n",
    "\n",
    "- [ ] pypi\n",
    "- [ ] pip\n",
    "- [ ] pep"
   ]
  },
  {
   "cell_type": "markdown",
   "id": "df78b46f",
   "metadata": {},
   "source": [
    "##### 15. Что содержат файлы с расширением `.pyc`?\n",
    "\n",
    "- [ ] Код на Python, cкомпилированный в машинный код\n",
    "- [ ] Код на Python, cкомпилированный в байткод"
   ]
  }
 ],
 "metadata": {
  "kernelspec": {
   "display_name": "Python 3",
   "language": "python",
   "name": "python3"
  },
  "language_info": {
   "codemirror_mode": {
    "name": "ipython",
    "version": 3
   },
   "file_extension": ".py",
   "mimetype": "text/x-python",
   "name": "python",
   "nbconvert_exporter": "python",
   "pygments_lexer": "ipython3",
   "version": "3.8.8"
  }
 },
 "nbformat": 4,
 "nbformat_minor": 5
}
